// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import axios from 'axios'
import VueCookies from 'vue-cookies'
// 引入echarts
import echarts from 'echarts'//echarts
import store from './store'
import directive from './directive' // directive
import plugins from './plugins' // plugins

import '@/assets/styles/ruoyi.scss' // ruoyi css
//首佳UI
import '@/assets/styles/base.scss' // 自定义公共样式
import '@/assets/iconfont/iconfont.css'; //字体图标
import '@/assets/iconfont/iconfont.js'; //字体图标
import '@/assets/styles/font.scss';//字体引入

import './assets/icons' // icon
import './permission' // permission control

Vue.prototype.$axios = axios
Vue.config.productionTip = false
Vue.use(ElementUI)
Vue.use(VueCookies)
Vue.use(directive)
Vue.use(plugins)
Vue.prototype.$echarts = echarts //挂载echarts

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
